<?php defined('C5_EXECUTE') or die("Access Denied.");?>
<!-- BEGIN WAVE TEXT -->
<div class="wavetext-wrap">
	
	<p id="<?php echo $wavetype ?>-<?php echo $bID ?>" style="color: <?php  if(!empty($wtColor)){ echo $wtColor;}else{echo "#000";}?>;">
	<?php echo $wtText ?>
	</p>
	
	<script type="text/javascript">
	$(document).ready(function(){
		<?php if($wavetype == "arc") { ?>
		/*** Arc */
		var arc = function (t) {
			return {
				x: 500.0 + 300.0 * Math.cos(2.0 * Math.PI * t - 0.5 * Math.PI),
				y: 400.0 + 300.0 * Math.sin(2.0 * Math.PI * t - 0.5 * Math.PI)
			};
		};
		$('#arc-<?php echo $bID ?>').curvedText({
			curve:    arc, duration: <?php echo $duration ?>,
			domain:   [-0.2, 0.2], scale: <?php echo $scale ?>, animate: <?php echo $animate ?>, rotate: <?php echo $rotate ?>,
			viewport: { x: 0.0, y: 0.0, width: 1000.0, height: 400.0 }
		});
		<?php } elseif ($wavetype == "circle") { ?>
		/*** Circle */
		var circle = function (t) {
			return {
				x: 500.0 + 300.0 * Math.cos(2.0 * Math.PI * -t + 0.5 * Math.PI),
				y: 500.0 + 300.0 * Math.sin(2.0 * Math.PI * -t + 0.5 * Math.PI)
			};
		};
		$('#circle-<?php echo $bID ?>').curvedText({
			curve:    circle, scale: <?php echo $scale ?>, animate: <?php echo $animate ?>, rotate: <?php echo $rotate ?>,
			domain:   [0.0, 1.0], duration: <?php echo $duration ?>,
			viewport: { x: 0.0, y: 0.0, width: 1000.0, height: 1000.0 }
		});
		<?php } elseif ($wavetype == "cascade") { ?>
		/*** Bezier */
		var bezier = function (t) {
			var px = [100.0, 350.0, 500.0, 900.0],
				py = [400.0,  50.0, 500.0, 200.0],
				ax = [px[0], 3.0 * (px[1] - px[0]), 3.0 * (px[2] - 2.0 * px[1] + px[0]), px[3] - 3.0 * px[2] + 3.0 * px[1] - px[0]],
				ay = [py[0], 3.0 * (py[1] - py[0]), 3.0 * (py[2] - 2.0 * py[1] + py[0]), py[3] - 3.0 * py[2] + 3.0 * py[1] - py[0]],
				cx = ax[0] + ax[1] * t + ax[2] * t * t + ax[3] * t * t * t,
				cy = ay[0] + ay[1] * t + ay[2] * t * t + ay[3] * t * t * t;

			return {
				x: cx,
				y: cy
			};
		};
		$('#cascade-<?php echo $bID ?>').curvedText({
			curve:    bezier, scale: <?php echo $scale ?>, animate: <?php echo $animate ?>, rotate: <?php echo $rotate ?>,
			domain:   [0.0, 1.0], duration: <?php echo $duration ?>,
			viewport: { x: 0.0, y: 0.0, width: 1000.0, height: 500.0 }
		});
		<?php } elseif ($wavetype == "swirl") { ?>
		/*** Spiral */
		var spiral = function (t) {
			var s = t + 1.0;

			return {
				x: 300.0 + 50.0 * s * Math.cos(2.0 * Math.PI * s - 0.5 * Math.PI),
				y: 300.0 + 50.0 * s * Math.sin(2.0 * Math.PI * s - 0.5 * Math.PI)
			};
		};
		$('#swirl-<?php echo $bID ?>').curvedText({
			curve:    spiral, scale: <?php echo $scale ?>, animate: <?php echo $animate ?>, rotate: <?php echo $rotate ?>,
			baseline: 0.8, duration: <?php echo $duration ?>, domain:   [0.0, 3.0],
			viewport: { x: 0.0, y: 0.0, width: 600.0, height: 600.0 }
		});
		<?php } elseif ($wavetype == "wave") { ?>
		/*** Wave */
		var sine = function (t) {
			return {
				x:   0.0 + 1000.0 * t,
				y: 250.0 +  100.0 * Math.sin(3.0 * Math.PI * t)
			};
		};
		var domain   = [0.0, 1.0], viewport = { x: 0.0, y: 0.0, width: 1000.0, height: 500.0 };
		$('#wave-<?php echo $bID ?>').curvedText({
			curve: sine, domain: domain, viewport: viewport, duration: <?php echo $duration ?>, scale: <?php echo $scale ?>, animate: <?php echo $animate ?>, rotate: <?php echo $rotate ?>
		}); <?php } ?>
	});
	</script>
</div>
<!-- END WAVE TEXT -->