<?php namespace Concrete\Package\WaveText;
use BlockType;
use Package;
use Core;
use Database;
use AssetList;
use \Concrete\Core\Asset\Asset;
defined('C5_EXECUTE') or die("Access Denied.");
class Controller extends Package {

    protected $pkgHandle = 'wave_text';
    protected $appVersionRequired = '5.7.0.4';
    protected $pkgVersion = '3.0';

	public function getPackageDescription() {
		return t("Create text headers with a cool wave effect!");
	}
	
	public function getPackageName() {
		return t("Wave Text");
	}
	
	public function on_start() {
		$al = AssetList::getInstance();
		$al->register('javascript', 'wavetext', 'blocks/wave_text/js/wt/wavetext.js', array('version' => '1.0.0', 'position' => Asset::ASSET_POSITION_HEADER, 'minify' => false, 'combine' => false), $this );
	}

    public function install() {
        $pkg = parent::install();
        // install block 
		BlockType::installBlockType('wave_text', $pkg);		
    }
	public function upgrade() {
		parent::upgrade();
	}
	public function uninstall(){
		parent::uninstall();
		$db = Database::connection();
		$db->executeQuery('DROP TABLE IF EXISTS btWaveText');
	}
}
?>